import java.rmi.server.UnicastRemoteObject;
import java.rmi.RemoteException;
import java.util.HashSet;
import java.util.Set;

public class CollectorServer extends UnicastRemoteObject implements CollectorInterface {
    Set<Integer> elems = new HashSet<>();

    public CollectorServer() throws RemoteException {
    }

    public void add(int elem) throws RemoteException {
        elems.add(elem);
    }

    public Set<Integer> get() throws RemoteException {
        return elems;
    }


}
